> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Global Search



## OpenAPI

````yaml /api-reference/openapi.json get /api/search
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/search:
    get:
      tags:
        - search
      summary: Global Search
      operationId: global_search_api_search_get
      parameters:
        - name: q
          in: query
          required: false
          schema:
            type: string
            description: Search query
            default: ''
            title: Q
          description: Search query
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            description: Max results per type
            default: 10
            title: Limit
          description: Max results per type
        - name: type[]
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  enum:
                    - dataset
                    - project
                    - scan
                    - result
                    - user
                  type: string
              - type: 'null'
            title: Type[]
        - name: include_results
          in: query
          required: false
          schema:
            type: boolean
            description: Include scan results in the search
            default: false
            title: Include Results
          description: Include scan results in the search
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SearchResponse:
      properties:
        query:
          type: string
          title: Query
        took_ms:
          type: integer
          title: Took Ms
        datasets:
          items:
            $ref: '#/components/schemas/SearchDatasetItem'
          type: array
          title: Datasets
        projects:
          items:
            $ref: '#/components/schemas/SearchProjectItem'
          type: array
          title: Projects
        scans:
          items:
            $ref: '#/components/schemas/SearchScanItem'
          type: array
          title: Scans
        results:
          items:
            $ref: '#/components/schemas/SearchResultItem'
          type: array
          title: Results
        users:
          items:
            $ref: '#/components/schemas/SearchUserItem'
          type: array
          title: Users
      type: object
      required:
        - query
        - took_ms
      title: SearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SearchDatasetItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        vulnerabilities:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vulnerabilities
      type: object
      required:
        - id
        - name
      title: SearchDatasetItem
    SearchProjectItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - id
        - name
      title: SearchProjectItem
    SearchScanItem:
      properties:
        id:
          type: string
          title: Id
        scan_type:
          type: string
          title: Scan Type
        status:
          type: string
          title: Status
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        dataset_dir:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Dir
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - scan_type
        - status
      title: SearchScanItem
    SearchResultItem:
      properties:
        id:
          type: string
          title: Id
        scan_id:
          type: string
          title: Scan Id
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        filepath:
          anyOf:
            - type: string
            - type: 'null'
          title: Filepath
        vulnerability_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Vulnerability Type
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
      type: object
      required:
        - id
        - scan_id
      title: SearchResultItem
    SearchUserItem:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          title: Email
        roles:
          items:
            type: string
          type: array
          title: Roles
      type: object
      required:
        - id
        - email
      title: SearchUserItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````